# dkim_qi_getname()

[back to index]

SYNOPSIS

    #include <dkim.h>

    const char * dkim_qi_getname(
    	DKIM_QUERYINFO *query
    );

Retrieve from a DKIM_QUERYINFO handle the name to be queried from the DNS.

DESCRIPTION

Called When | `dkim_qi_getname()` can be called at any time after query information is returned by `dkim_sig_getqueries()`.

ARGUMENTS

Argument | Description
--- | ---
query | A reference to a `DKIM_QUERYINFO` handle.

RETURN VALUES

Value | Description
--- | ---
`NULL` | No name could be determined for this query handle.
otherwise | A pointer to the DNS name found in the handle.

NOTES

- None.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2011, 2014, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.